# $Revision: 1.12 $, $Date: 2008/07/27 22:25:21 $
Summary:	Advanced Qt/KDE MEncoder frontend
Summary(pl.UTF-8):	Zaawansowany frontend Qt/KDE dla MEncodera
Name:		kmenc15
Version:	0.04
Release:	2
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/kmenc15/%{name}-%{version}.tar.bz2
# Source0-md5:	64e46a32cd055516b9d82f60836eefcb
Patch0:		%{name}-build.patch
URL:		http://kmenc15.sourceforge.net/
BuildRequires:	kdelibs-devel >= 3.3
BuildRequires:	rpmbuild(macros) >= 1.167
Requires:	mencoder
Requires:	mplayer >= 3:1.0-2.pre7try2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kmenc15 is an advanced Qt/KDE MEncoder frontend, generally designed to
be a VirtualDub replacement for Linux. It is most useful for editing
and encoding large high quality AVIs capped from TV. It allows cutting
and merging at exact frames, applying any MPlayer/MEncoder filter,
with preview.

%description -l pl.UTF-8
KMenc15 to zaawansowany frontend Qt/KDE dla MEncodera, zasadniczo
zaprojektowany jako zamiennik VirtualDuba dla Linuksa. Jest
najbardziej przydatny do modyfikowania i kodowania dużych, wysokiej
jakości plików AVI nagranych z TV. Umożliwia cięcie i łączenie na
dokładnie podanych ramkach oraz stosowanie dowolnego filtru
MPlayera/MEncodera z podglądem.

%prep
%setup -q
%patch0 -p1

%build
%{__make} 	\
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kmenc15.spec,v $
Revision 1.12  2008/07/27 22:25:21  arekm
- release 2

Revision 1.11  2007-02-13 06:46:49  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.9  2006/04/08 17:39:50  blekot
- added patch against newer version of kde (builds on kde 3.5.2)
- builds and works

Revision 1.8  2005/10/11 22:33:23  charles
- R: mencoder, proper ver. mplayer

Revision 1.7  2005/07/16 11:35:25  charles
- removed _moc.patch, completely needless (builds without it)

Revision 1.6  2005/07/03 17:50:44  siomek
- Makefile patch, builds

Revision 1.5  2005/07/02 20:49:16  charles
- R mplayer proper version

Revision 1.4  2005/04/06 06:36:12  charles
- updated to 0.04

Revision 1.3  2005/03/12 10:08:51  charles
- rel. 1

Revision 1.2  2005/02/06 10:28:10  qboosh
- pl, BR macros 1.167 (for rpmcxxflags)

Revision 1.1  2005/02/06 03:04:55  charles
- initial PLD package
